#!/bin/sh
# $YakumoLabs$
#
# PROVIDE: toyohime
# REQUIRE: DAEMON NETWORKING
# BEFORE: LOGIN
# KEYWORD: shutdown

. /etc/rc.subr

name="toyohime"
rcvar="${name}_enable"

: ${toyohime_enable="NO"}
: ${toyohime_fqdn="localhost"}
: ${toyohime_user="www"}
: ${toyohime_group="www"}
: ${toyohime_repos="/usr/local/etc/toyohime-repos"}
: ${toyohime_address="127.0.0.1:8080"}

command="/usr/sbin/daemon"
pidfile="/var/run/${name}.pid"
command_args="-p ${pidfile} -u ${toyohime_user} /usr/local/bin/${name} -listen ${toyohime_address} -index -watch ${toyohime_fqdn} ${toyohime_repos}"

load_rc_config "${name}"
run_rc_command "$1"
